FilterExpression (Groovy 4.0.15)
Description: declaration: package: org.apache.groovy.ginq.dsl.expression, class: FilterExpression

Package org.apache.groovy.ginq.dsl.expression

# Class FilterExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.apache.groovy.ginq.dsl.expression.AbstractGinqExpression
org.apache.groovy.ginq.dsl.expression.ProcessExpression
org.apache.groovy.ginq.dsl.expression.FilterExpression

All Implemented Interfaces:
  `GroovydocHolder<AnnotatedNode>`, `DataSourceHolder`, `NodeMetaDataHandler`

Direct Known Subclasses:
  `HavingExpression`, `OnExpression`, `WhereExpression`

public abstract class FilterExpression extends ProcessExpression
Represents filter expression

Since:
  4.0.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Expression`
  `filterExpr`

  ### Fields inherited from class org.codehaus.groovy.ast.expr.Expression

  `EMPTY_ARRAY`

  ### Fields inherited from interface groovy.lang.groovydoc.GroovydocHolder

  `DOC_COMMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilterExpression(Expression filterExpr)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Expression`
  `getFilterExpr()`
  `void`
  `setFilterExpr(Expression filterExpr)`

  ### Methods inherited from class org.apache.groovy.ginq.dsl.expression.ProcessExpression

  `getDataSourceExpression, setDataSourceExpression`

  ### Methods inherited from class org.apache.groovy.ginq.dsl.expression.AbstractGinqExpression

  `accept, transformExpression, visit`

  ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

  `getType, setType, transformExpressions, transformExpressions`

  ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

  `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getMetaDataMap, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setMetaDataMap, setNodeMetaData`

- ## Field Details

  - ### filterExpr

    protected Expression filterExpr

- ## Constructor Details

  - ### FilterExpression

    public FilterExpression(Expression filterExpr)

- ## Method Details

  - ### getFilterExpr

    public Expression getFilterExpr()

  - ### setFilterExpr

    public void setFilterExpr(Expression filterExpr)